<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Directory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Directory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/DeleteSpec.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/DirectoryTree.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/Directory.html" target="_top">Frames</a></li>
<li><a href="Directory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface Directory" class="title">Interface Directory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file">FileSystemLocation</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">Directory</span>
extends <a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file">FileSystemLocation</a></pre>
<div class="block">Represents a directory at some fixed location on the file system.
 <p>
 <b>Note:</b> This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created
 using the <a href="../../../../org/gradle/api/file/Directory.html#dir(java.lang.String)"><code>dir(String)</code></a> method or using various methods on <a href="../../../../org/gradle/api/file/ProjectLayout.html" title="interface in org.gradle.api.file"><code>ProjectLayout</code></a> such as <a href="../../../../org/gradle/api/file/ProjectLayout.html#getProjectDirectory()"><code>ProjectLayout.getProjectDirectory()</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/Directory.html#dir(org.gradle.api.provider.Provider)">dir</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&gt;&nbsp;path)</code>
<div class="block">Returns a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a> whose value is a <a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file"><code>Directory</code></a> whose location is the given path resolved relative to this directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/Directory.html#dir(java.lang.String)">dir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file"><code>Directory</code></a> whose location is the given path, resolved relative to this directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/Directory.html#file(org.gradle.api.provider.Provider)">file</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&gt;&nbsp;path)</code>
<div class="block">Returns a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a> whose value is a <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><code>RegularFile</code></a> whose location is the given path resolved relative to this directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/Directory.html#file(java.lang.String)">file</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><code>RegularFile</code></a> whose location is the given path, resolved relative to this directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/Directory.html#getAsFile()">getAsFile</a></strong>()</code>
<div class="block">Returns the location of this directory, as an absolute <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io"><code>File</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/Directory.html#getAsFileTree()">getAsFileTree</a></strong>()</code>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a> that allows the files and directories contained in this directory to be queried.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAsFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getAsFile()</pre>
<div class="block">Returns the location of this directory, as an absolute <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io"><code>File</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/file/FileSystemLocation.html#getAsFile()">getAsFile</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file">FileSystemLocation</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>the File</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="getAsFileTree()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsFileTree</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getAsFileTree()</pre>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a> that allows the files and directories contained in this directory to be queried.</div>
</li>
</ul>
<a name="dir(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dir</h4>
<pre><a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&nbsp;dir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file"><code>Directory</code></a> whose location is the given path, resolved relative to this directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path. Can be absolute.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The directory.</dd></dl>
</li>
</ul>
<a name="dir(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dir</h4>
<pre><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&gt;&nbsp;dir(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&gt;&nbsp;path)</pre>
<div class="block">Returns a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a> whose value is a <a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file"><code>Directory</code></a> whose location is the given path resolved relative to this directory.

 <p>The return value is live and the provided <code>path</code> is queried each time the return value is queried.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path provider. Can have value that is an absolute path.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The provider.</dd></dl>
</li>
</ul>
<a name="file(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre><a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&nbsp;file(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Returns a <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><code>RegularFile</code></a> whose location is the given path, resolved relative to this directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path. Can be absolute.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The file.</dd></dl>
</li>
</ul>
<a name="file(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>file</h4>
<pre><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;&nbsp;file(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&gt;&nbsp;path)</pre>
<div class="block">Returns a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a> whose value is a <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><code>RegularFile</code></a> whose location is the given path resolved relative to this directory.

 <p>The return value is live and the provided <code>path</code> is queried each time the return value is queried.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path provider. Can have value that is an absolute path.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The file.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/DeleteSpec.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/DirectoryTree.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/Directory.html" target="_top">Frames</a></li>
<li><a href="Directory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
